VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::networking::ProxyTypes::ProxyProtocol Class Reference

`Proxy.ProxyProtocol` enumerated type Defines different proxy protocols More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, ftp, http, https }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static ProxyProtocol[] | GetValues ()
static ProxyProtocol | ValueOf (string name)
## Static Public Attributes
static readonly ProxyProtocol | ftp = new ProxyProtocol("ftp", Values.ftp)
| proxy configuration for ftp.
static readonly ProxyProtocol | http = new ProxyProtocol("http", Values.http)
| proxy configuration for http.
static readonly ProxyProtocol | https = new ProxyProtocol("https", Values.https)
| proxy configuration for https.

## Detailed Description

`Proxy.ProxyProtocol` enumerated type Defines different proxy protocols

## Member Enumeration Documentation

enum vmware::appliance::techpreview::networking::ProxyTypes::ProxyProtocol::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  ftp | proxy configuration for ftp.
  http | proxy configuration for http.
  https | proxy configuration for https.

## Member Function Documentation

Values vmware::appliance::techpreview::networking::ProxyTypes::ProxyProtocol::GetEnumValue | ( |  | ) | `[inline]`

static ProxyProtocol [] vmware::appliance::techpreview::networking::ProxyTypes::ProxyProtocol::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::networking::ProxyTypes::ProxyProtocol::IsUnknown | ( |  | ) | `[inline]`

static ProxyProtocol vmware::appliance::techpreview::networking::ProxyTypes::ProxyProtocol::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly ProxyProtocol vmware::appliance::techpreview::networking::ProxyTypes::ProxyProtocol::ftp = new ProxyProtocol("ftp", Values.ftp)`[static]`

proxy configuration for ftp.

readonly ProxyProtocol vmware::appliance::techpreview::networking::ProxyTypes::ProxyProtocol::http = new ProxyProtocol("http", Values.http)`[static]`

proxy configuration for http.

readonly ProxyProtocol vmware::appliance::techpreview::networking::ProxyTypes::ProxyProtocol::https = new ProxyProtocol("https", Values.https)`[static]`

proxy configuration for https.

The documentation for this class was generated from the following file:

- ProxyTypes.cs